BizKitHub
DocsAPI ReferencePost/bff/post/post-image-mark-main
getPostAdmin BFF

/bff/post/post-image-mark-main

Sets the specified image as the main/featured image for the post. The main image is used as the post thumbnail in lists and social sharing.

PostgetBffPostPost-image-mark-main

Parameters

2 query

Query parameters

· 2
idstringRequired

Post external ID.

Examplea1b2c3d4-e5f6-7890
imageIdstringRequired

Blob token of the image to set as main.

Exampleabc123def456

Response schema

1 status code documented

200Success
successbooleanRequired

Whether the main image was updated.

Response example

application/json
{
  "success": false
}

Request example

GET /bff/post/post-image-mark-main

get
curl -X GET "https://api.bizkithub.com/bff/post/post-image-mark-main?id=a1b2c3d4-e5f6-7890&imageId=abc123def456" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key